HD = {};
_G[ "HD" ] = HD;
HD.ChatPattern = "|cffFFFFFF[|cff00dd00HD|cffFFFFFF]: |cffFCFC7D%s|r";
HD.YESPattern = "|cff009900%s|r";
HD.NOPattern = "|cff990000%s|r";

HDVariables = {};
HD.DefaultConfig = {
	["Enabled"] = true,
};

SLASH_MHIDEDEBUG1 = "/hd";
SlashCmdList["MHIDEDEBUG"] = function(_, msg)
	if( msg == "on" )then
		HDVariables.Enabled = true;
	end;
	if( msg == "off" )then
		HDVariables.Enabled = false;
	end;
	if( msg == "show" )then
		MDebugLog:Show();
		return nil;
	end;
	if( msg == "status" )then
		if( HDVariables.Enabled )then
			HD.Message( "Сообщения отладки будут " .. HD.YESPattern:format( "скрыты" ) );
		else
			HD.Message( "Сообщения отладки будут " .. HD.NOPattern:format( "показаны" ) );
		end;
		return nil;
	end;
	
	if( HDVariables.Enabled )then
		HD.Message( "Сообщения отладки будут " .. HD.YESPattern:format( "скрыты" ) );
	else
		HD.Message( "Сообщения отладки будут " .. HD.NOPattern:format( "показаны" ) );
	end;
end;

function HD.Message( text )
	text = tostring( text );
	ChatFrame1:AddMessage( HD.ChatPattern:format( text ) );
end;

function HD.OnLoad( this )
	this:RegisterEvent("VARIABLES_LOADED");
end;

function HD.OnEvent( this, event )
	if( event == "VARIABLES_LOADED" )then
		for key, value in pairs( HD.DefaultConfig )do
			if( HDVariables[ key ] == nil )then HDVariables[ key ] = value; end;
		end;
		SaveVariables( "HDVariables" );
		HD.Inited = true;
	end;
end;

HD.ChatFrame_OnEvent = ChatFrame_OnEvent;
function ChatFrame_OnEvent( this, event )
	if( not HD.Inited )or( not HDVariables.Enabled )then
		HD.ChatFrame_OnEvent( this, event );
	elseif( event == "CHAT_MSG_SYSTEM" )then
		if( not arg1:find( "[DEBUG]", 1, true ) )then
			HD.ChatFrame_OnEvent( this, event );
		else
			MDebugLogMemo:AddMessage( arg1 );
		end;
	else
		HD.ChatFrame_OnEvent( this, event );
	end;
end;

function HD.LogShow( this )
	_G[ this:GetName() .. "Title" ]:SetText( "Лог отладочных сообщений" );
end;